GET
List Deployments

Authorizations

Authorization
string
header
required

Simplismart API key (Settings > API Keys).

Query Parameters

workspace_id
string<uuid>

Workspace UUID (alias workspaceId). Defaults to the organisation's default workspace.

ordering
string
default:desc

asc sorts by created_at ascending; anything else descending.

Response

Successful response

uuid
string
org
string
name
string
display_name
string
status
string
model_repo
string
cluster
string
node_groups
string[]
min_pod_replicas
integer
max_pod_replicas
integer
autoscale_config
object
ports
object
healthcheck
object
persistent_volume_claims
any[]